---
title: "Catálogo · Referência REST"
description: "As rotas de Catálogo. Todo corpo é JSON, e o erro sempre volta como um objeto com código e mensagem."
lang: "pt-BR"
canonical: "https://zaiped.com/developers/docs/reference/catalog"
alternate: "https://zaiped.com/en/developers/docs/reference/catalog"
---

# Catálogo · Referência REST

## GET /v1/catalog

Get the linked Meta catalog

```
curl -X GET "https://zaiped.com/v1/catalog" \
  -H "Authorization: Bearer zp_..."
```

## POST /v1/catalog/connect

Link the WABA's catalog

Finds the catalog attached to the WABA in Commerce Manager and links it to the account.

**Corpo da requisição**

- `numberId` · string (Obrigatório): Zaiped id (whatsappConnections)

**Resposta (object)**

- `catalogId` · string (Obrigatório)
- `catalogName` · string
- `catalogVisible` · boolean
- `cartEnabled` · boolean
- `syncedAt` · number
- `itemCount` · number (Obrigatório)
- `errorCount` · number (Obrigatório)

```
curl -X POST "https://zaiped.com/v1/catalog/connect" \
  -H "Authorization: Bearer zp_..." \
  -H "Content-Type: application/json" \
  -d '{
  "numberId": "…"
}'
```

## PUT /v1/catalog/settings

Show the catalog and enable the cart

**Corpo da requisição**

- `numberId` · string (Obrigatório): Zaiped id (whatsappConnections)
- `catalogVisible` · boolean (Obrigatório)
- `cartEnabled` · boolean (Obrigatório)

**Resposta (object)**

- `ok` · true (Obrigatório)

```
curl -X PUT "https://zaiped.com/v1/catalog/settings" \
  -H "Authorization: Bearer zp_..." \
  -H "Content-Type: application/json" \
  -d '{
  "numberId": "…",
  "catalogVisible": true,
  "cartEnabled": true
}'
```